Pesquisar este blog

quinta-feira, 14 de julho de 2011

REPOSITORIO PPA NATTY-QUASI-ROLLING UM RESUMÃO DAS MELHORES ATUALIZAÇÕES


O repositório natty-quasi-rolling é muito especial, pois é um repositório que vale pela maioria dos PPA, uma espécie de resumo das melhores atualizações dos repositórios ppa para o ubuntu 11.04, como trata-se de um mix vamos encontrar atualizações de fácil execução mais também vamos encontrar atualizações de execução extremamente complicada, entre as inúmeras atualizações deste repositório podemos destacar o pacote ntfs-3g 1:2011.1.15-0~natty, que traz mais velocidade e melhor escrita em partições NTFS, além do encoder x264 em sua extremamente melhorada versão 2:0.115.1943+git6e33b51-2~natty1, veja que são centenas de atualizações importantes, para adicionar este repositório, abra um terminal e digite o seguinte:

sudo add-apt-repository ppa:guido-iodice/natty-quasi-rolling

clique enter e aguarde o repositório e a chave serem adicionados, após no mesmo terminal digite o comando abaixo para atualizar o cache.
sudo apt-get update

espere o cache ser completamente atualizado e feche o terminal, e abra o gerenciador de atualizações veja que muitas atualizações estão desmarcadas, entretanto todas elas podem ser feitas e até recomendo que comece por elas, abrindo o synaptic, clicando no botão procurar e digitando o nome do pacote que se pretende atualizar ou parte do nome deste,no resultado da pesquisa clicando com o botão direito do mouse no nome do pacote marque para atualização, verifique o que vai ser instalado e desinstalado, e clique em aplicar, exatamente pelo fato de precisar de desinstalações e novas instalações é que estas atualizações não podem ser realizadas pelo gerenciador de atualizações. A única atualização que necessitou da instalação manual de pacotes externos até o momento, foi a da versão 2:0.115.1943+git6e33b51-2~natty1 do encoder x264, mais os pacotes podem ser baixados 64 bits neste link e 32 bits neste link, descompacte o arquivo e abra um terminal dentro da pasta que foi criada após a descompactação, e digite o comando:

sudo dpkg -i *.deb

Os arquivos serão todos instalados na ordem correta e imediatamente a atualização será liberada no gerenciador de atualizações, e vai ser marcada para atualização. Atenção - esta dica é para usuários avançados, por esta razão não entrei em detalhes maiores quanto a utilização do gerenciador de pacotes, pois um usuário de maior conhecimento sabe com certeza utilizar o synaptic, com extrema destreza.

12 comentários:

Anderson (Chiro-san) disse...

Hugo, uma dúvida. Ele altera as configurações de algum repositório por exemplo como o do Chromium?

Hugo Bastos disse...

Anderson, desculpe por não ter respondido antes mais estava desde ontem no tempo livre, reinstalando o ubuntu em um note de um amigo, e mais uma vez me decepcionei com unity 3D,não importa a placa neste caso uma intel é cheio de erros gritantes, tive mais uma vez que apelar para o 2D, mais a respeito de sua pergunta, ele não altera nenhum outro repositório desde que neste repositório não tenha um arquivo mais recente pela numeração ou pela data da compilação, quando você tem vários repositórios com o mesmo arquivo o sistema vai instalar sempre o mais recente.

Luan Menezes disse...

Olá Hugo!!! Parabéns pelo seu blog, ele é fantástico!!!! Nossa, já me ajudou muito!!!! Mas eu tentei instalar o encoder x 264 e não consegui. Eu baixei os pacotes, e instalei eles pelo terminal de comando, mas ele fala que a arquitetura não combina com i386. Será que tem pacotes para tal arquitetura?????

Hugo Bastos disse...

valeu luan realmente esqueci do i386 vou fazer o link o mais rapido possível.

Felipe disse...

E "ae" tudo bem!

Lembram do negócio que o Blog de test tinha falado sobre o problema de gestão de energia?

Bem tem uma coisa nesse novo SO que nos anteriores não tinha.

O dmesg registra o seguinte:

[ 0.411242] ACPI: Dynamic OEM Table Load:
[ 0.411245] ACPI: SSDT (null) 00085 (v01 PmRef Cpu1Cst 00003000 INTL 20050228)
[ 0.441495] ACPI Error: [\_SB_.PCI0.LPCB.EC0_.HBTN] Namespace lookup failure, AE_NOT_FOUND (20110112/psargs-359)
[ 0.441495] ACPI Error: Method parse/execution failed [\_SB_.PCI0.LPC_.EC0_._REG] (Node ffff88012f8339d8), AE_NOT_FOUND (20110112/psparse-536)
[ 0.441495] Fail in evaluating the _REG object of EC device. Broken bios is suspected.

Bem isso eu não acho que vem do hardware, porém só comecei a me perceber desse erro com os novos "cernes".

Bem está funcionando então vou fazer como o usuário mediano faria: "Se não tiver que cortar as besteiras da minha dieta, deixa do jeito que está doutor".

Luan Menezes disse...

Hugo, valeu por ter colocado o link para i386, mas assim que instalo ele relata problemas em dois pacotes:

libavcodec-extra-53
libswscale-extra-1

Você sabe o que está acontecendo??????

Hugo Bastos disse...

luan vou dar uma olhada não utilizo 32 bits mais estou suspeitando que estes arquivos estejam corrompidos, valeu novamente pois quando eu estava gerando houve uns piques de energia e não comecei do zero, fiz um resumo vou começar do zero e substituir o arquivo me mantenha vou postar um comentário quando for feita esta substituição me mantenha informado pois não tenho como testar.

Hugo Bastos disse...

Luan reenvie o arquivo para o 4shared o que ocorreu é que durante a transmissão foi interrompido, e preferi fazer um resumo ao invés de começar do zero e parece que a coisa não deu muito certo.

Hugo Bastos disse...

se preferir baixe diretamente dos espelhos do ubuntu os seguintes pactes do oneric:

libavcodec-extra-53
libavformat-extra-53
libavutil-extra-51
libpostproc-extra-52
libswscale-extra-1

estes pacotes embora sejam do oneric verifique que os requisitos para instalação cabem para o natty, ponha todos em uma pasta e diste o comando do post.
detalhe estes pacotes não influem no funcionamento do natty pois não estão previsto inicialmente no sistema e não desinstalam nada é criado uma espécie de apêndice para funcionamento do x264.

Anderson (Chiro-san) disse...

Bom, venho fazer um comentário que se refere a um post antigo, quando eu postei um script para instalação do driver sismedia no 11.04. Alguns ficaram reclamando de um erro na instalação e realmente havia um erro, o qual descobri hoje quando necessitei regressar ao 10.10. Pois bem, aqui deixo o script funcionando perfeitamente no link abaixo.
http://www.ubuntero.com.br/wp-content/uploads/2011/07/Driver-sismedia-11.04-e-10.10.sh_.tar.gz

Luan Menezes disse...

Eu tentei outra vez, deu o mesmo problema :/ Será que você poderia me ensinar a baixar os pacotes pelos espelhos do Ubuntu?????

Luan Menezes disse...

Eu baixei pacote por pacote nos espelhos, mas mesmo assim deu problema, nos mesmos dois pacotes. O que será que está acontecendo????